Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class ElemDecimalFormat

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemDecimalFormat

public class ElemDecimalFormat
extends ElemTemplateElement

**For advanced use only** Implement xsl:decimal-format.

See Also:
  Serialized Form

Field Summary
`XPath` | `m_countMatchPattern` **For advanced use only**
`java.lang.String` | `m_decimalSeparator_avt` **For advanced use only**
`java.lang.String` | `m_digit_avt` **For advanced use only**
`XPath` | `m_fromMatchPattern` **For advanced use only**
`java.lang.String` | `m_groupingSeparator_avt` **For advanced use only**
`java.lang.String` | `m_infinity_avt` **For advanced use only**
`java.lang.String` | `m_minusSign_avt` **For advanced use only**
`java.lang.String` | `m_name_avt` **For advanced use only**
`java.lang.String` | `m_NaN_avt` **For advanced use only**
`java.lang.String` | `m_patternSeparator_avt` **For advanced use only**
`java.lang.String` | `m_percent_avt` **For advanced use only**
`java.lang.String` | `m_permille_avt` **For advanced use only**
`XPath` | `m_valueExpr` **For advanced use only**
`java.lang.String` | `m_zeroDigit_avt` **For advanced use only**

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Constructor Summary
`ElemDecimalFormat(XSLTEngineImpl processor, Stylesheet stylesheetTree, java.lang.String name, org.xml.sax.AttributeList atts, int lineNumber, int columnNumber)` **For advanced use only**

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` **For advanced use only** Add a child to the child list.
`java.text.DecimalFormatSymbols` | `getDecimalFormatSymbols()` **For advanced use only**
`java.lang.String` | `getName()` **For advanced use only**
`int` | `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`childrenToString, error, execute, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_countMatchPattern

    public XPath m_countMatchPattern

### m_fromMatchPattern

    public XPath m_fromMatchPattern

### m_valueExpr

    public XPath m_valueExpr

### m_name_avt

    public java.lang.String m_name_avt

### m_decimalSeparator_avt

    public java.lang.String m_decimalSeparator_avt

### m_groupingSeparator_avt

    public java.lang.String m_groupingSeparator_avt

### m_infinity_avt

    public java.lang.String m_infinity_avt

### m_minusSign_avt

    public java.lang.String m_minusSign_avt

### m_NaN_avt

    public java.lang.String m_NaN_avt

### m_percent_avt

    public java.lang.String m_percent_avt

### m_permille_avt

    public java.lang.String m_permille_avt

### m_zeroDigit_avt

    public java.lang.String m_zeroDigit_avt

### m_digit_avt

    public java.lang.String m_digit_avt

### m_patternSeparator_avt

    public java.lang.String m_patternSeparator_avt

Constructor Detail

### ElemDecimalFormat

    public ElemDecimalFormat(XSLTEngineImpl processor,
                             Stylesheet stylesheetTree,
                             java.lang.String name,
                             org.xml.sax.AttributeList atts,
                             int lineNumber,
                             int columnNumber)
                      throws org.xml.sax.SAXException

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemTemplateElement

### getName

    public java.lang.String getName()

### getDecimalFormatSymbols

    public java.text.DecimalFormatSymbols getDecimalFormatSymbols()

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  **For advanced use only** Add a child to the child list.
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.